Форум программистов, компьютерный форум, киберфорум
C# для начинающих
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.86/7: Рейтинг темы: голосов - 7, средняя оценка - 4.86
1464 / 1172 / 551
Регистрация: 08.01.2012
Сообщений: 4,517
1

О распространяемости програм на C# и Framework

19.02.2012, 10:38. Показов 1447. Ответов 14
Метки нет (Все метки)

Никак понять не могу почему на домашних компах, у которых хозяева слова "Framework" в глаза не слышали, проги на C# идут. Правда ниже ХР не пробовал, Framework что дефаултом с ОС идет?

Добавлено через 13 минут
потому и сказал "на домашних" т.к на офисных может быть всё что угодно
1
Лучшие ответы (1)
Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
19.02.2012, 10:38
Ответы с готовыми решениями:

В списке Target Framework не выбирается .NET Framework 4 только .NET Framework 4 Client Profile
Свойства проекта (Project -> Properties) -> вкладка Compile -> Advenced complie options -> в списке...

Как изменить FrameWork Client на FrameWork Full в Visual Studio 2010
Привет всем! Как изменить FrameWork Client на FrameWork Full в Visual Studio 2010 ?

Работа приложения FrameWork 1.1 под FrameWork 2.0
в файле web.config есть разделы <location path="adm <system.web> <authorization>...

Подключение библиотек Framework 4.5 в системе с Framework 3.5
Здравствуйте! Программу, написанную под Framework 4.5 нужно адаптировать под XP с Framework 3.5....

14
710 / 701 / 168
Регистрация: 15.06.2011
Сообщений: 1,704
19.02.2012, 10:39 2
Ну если хозяева не слышали это ещё не факт что FrameWork'a нет! Я у человека с подобной отговоркой нашел все версии начиная с 1.0 и заканчивая 4.0 причем он даже не понял что это такое.
Насчет дефаулта незнаю, но Windows тоже ведь MS, так что может ставят автоматом.
1
399 / 355 / 36
Регистрация: 11.10.2010
Сообщений: 1,907
19.02.2012, 10:52 3
Лучший ответ Сообщение было отмечено как решение

Решение

Цитата Сообщение от MansMI Посмотреть сообщение
Framework что дефаултом с ОС идет?
да, он по дефолту идет вместе с новыми, ОСями

Добавлено через 12 минут
меня в .Net-е кроме всего прочего бесит что 4.0 не работает без 3.5, 3.5 без 3.0, 3.0 без 2.0, а 2.0 без 1.0
3
157 / 147 / 25
Регистрация: 23.01.2011
Сообщений: 319
19.02.2012, 14:09 4
Кому интересно вот линк с какой осью какой Framework по умолчанию http://en.wikipedia.org/wiki/.... k#Versions
1
1267 / 968 / 113
Регистрация: 12.01.2010
Сообщений: 1,971
19.02.2012, 15:03 5
Цитата Сообщение от aram_gyumri Посмотреть сообщение
меня в .Net-е кроме всего прочего бесит что 4.0 не работает без 3.5, 3.5 без 3.0, 3.0 без 2.0, а 2.0 без 1.0
чушь полная, очередной линуксоидный тролль который них не понимает и лезет с умными коментами


достаточно ставить всего два - 3.5 и 4.0, это полный комплект независимый от других
естественно имеются в виду полные версии, сборки от дяди васи с районного трекера могут требовать даже 3д очки надетые на юзера для запуска калькулятора
1.1 вообще не используется уже

2.0, 3.0, 3.5 имеют общий CLR, отличия в дллках
если написать прогу на 3.5 и положить рядом нужные длл(которых нет в 2.0) то она будет работать на системе с установленным 2.0

4.0 да, придется ставить
2
_
2360 / 1233 / 78
Регистрация: 28.10.2009
Сообщений: 4,331
19.02.2012, 15:08 6
У меня стоит один четвертый фреймворк, плюс, в висте вроде умолчанию стоит 3.0. Но я спокойно запускаю программы, которые требуют фреймворка 2.0 и 3.5
0
141 / 53 / 11
Регистрация: 18.09.2011
Сообщений: 730
19.02.2012, 16:25 7
MansMI,
Встроенность Framework в Windows:
Windows XP - Framework 2.0
Windows Vista - Framework 3.0 + Framework 3.5 (Client)
Windows 7 - Framework 4.0 + Framework 4.5(Client)

Windows 8 - Framework 5.0 - это скоро ))))
1
6 / 6 / 0
Регистрация: 21.12.2009
Сообщений: 68
19.02.2012, 16:52 8
Почему тогда многие критикуют фриланс на C# из-за того, что надо будет Framework устанавливать вместе с самой прогой?
0
Почетный модератор
21307 / 9041 / 1081
Регистрация: 11.04.2010
Сообщений: 11,015
19.02.2012, 17:04 9
Цитата Сообщение от irineyxxx Посмотреть сообщение
Windows XP - Framework 2.0
это с третьим сервиспаком
0
767 / 547 / 80
Регистрация: 03.07.2011
Сообщений: 1,020
19.02.2012, 17:23 10
Цитата Сообщение от Dron13 Посмотреть сообщение
Почему тогда многие критикуют фриланс на C# из-за того, что надо будет Framework устанавливать вместе с самой прогой?
Наверно из-за несовпадений версий ,разработчик пишет на 4-ом, а у клиента выше 1-го никогда и не стояло
1
399 / 355 / 36
Регистрация: 11.10.2010
Сообщений: 1,907
21.02.2012, 22:56 11
Цитата Сообщение от m0nax Посмотреть сообщение
чушь полная, очередной линуксоидный тролль который них не понимает и лезет с умными коментами


достаточно ставить всего два - 3.5 и 4.0, это полный комплект независимый от других
естественно имеются в виду полные версии, сборки от дяди васи с районного трекера могут требовать даже 3д очки надетые на юзера для запуска калькулятора
1.1 вообще не используется уже

2.0, 3.0, 3.5 имеют общий CLR, отличия в дллках
если написать прогу на 3.5 и положить рядом нужные длл(которых нет в 2.0) то она будет работать на системе с установленным 2.0

4.0 да, придется ставить
но почему то уменя токая зовисимость версий проявилась когда я удалял весь .Net с компа
0
6239 / 3540 / 898
Регистрация: 28.10.2010
Сообщений: 5,926
22.02.2012, 12:32 12
irineyxxx, кажется следующая версия .net framework - 4.5
0
Эксперт .NET
4341 / 2003 / 387
Регистрация: 27.03.2010
Сообщений: 5,457
Записей в блоге: 1
22.02.2012, 21:28 13
Цитата Сообщение от Петррр Посмотреть сообщение
irineyxxx, кажется следующая версия .net framework - 4.5
Ага, тоже читал об этом на хабре помоему. И в Windows 7 насколько знаю нету этого самого 4.5. Или я чего-то не знаю?
0
1464 / 1172 / 551
Регистрация: 08.01.2012
Сообщений: 4,517
22.02.2012, 22:04  [ТС] 14
Цитата Сообщение от Vitall Посмотреть сообщение
Наверно из-за несовпадений версий ,разработчик пишет на 4-ом, а у клиента выше 1-го никогда и не стояло
т.е видимо нужно компилировать на минимально возможной версии из тех что свойства проекта предоставляют, из тех где компиляция при используемых ресурсах в коде возможна?
1
Эксперт .NET
4341 / 2003 / 387
Регистрация: 27.03.2010
Сообщений: 5,457
Записей в блоге: 1
22.02.2012, 22:06 15
Цитата Сообщение от MansMI Посмотреть сообщение
т.е видимо нужно компилировать на минимально возможной версии из тех что свойства проекта предоставляют, из тех где компиляция при используемых ресурсах в коде возможна?
Мне кажется под 3.5 можно смело компилить. Если WPF, то под 4.0, ибо только в этой версии сделали нормальный рендеринг текста. Конечно смотря что за софт. А так по сути можно и под 2.0 компилить. Видимо ты прав.
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
22.02.2012, 22:06

Ошибка компляции после смены платформы с Windows CE (Compact Framework) на Windows (NET Framework)
Здравствуйте! Переделываю проект работавший под управлением WinCE чтобы он работал под WinXP....

Запуск приложения на платформе .NET Framework 4.0, на другом компьютере без установки .NET Framework 4.0
Как запустить приложение на платформе .NET Framework 4.0, на другом компьютере без установки .NET...

Перевод кода из framework 4.5 в framework 3.х
private void button1_Click(object sender, EventArgs e) { string sym = {"a",...

Колекция програм
Насобирал немного програм по Паскалю и решил разместить здесь!!! В архиве собраны програмы по:...

Интерфейс програм
для роботы с интрефейсом некоторые используют альфа-каналы. Может ктото обьяснить как с ними...

исходники програм
Закиньте пожалуйста в этой теме исходники программ на асемблере или какие-то полезные ссылки где...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
15
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.